nl.tudelft.simulation.examples.dsol.animation

## Class DiscreteBall

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.animation.Ball
  - - nl.tudelft.simulation.examples.dsol.animation.DiscreteBall

All Implemented Interfaces:
  Locatable

    public class DiscreteBall
    extends Ball

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.

See for project information www.simulation.tudelft.nl.

Author:
  Alexander Verbraeck

### Field Summary

### Fields inherited from class nl.tudelft.simulation.examples.dsol.animation.Ball

`RADIUS, theta`

### Constructor Summary

Constructors
Constructor and Description
`DiscreteBall(DEVSSimulatorInterface.TimeDouble simulator)` constructs a new Ball.

### Method Summary

All Methods Instance Methods Concrete Methods
`DirectedPoint` `getLocation()`

### Methods inherited from class nl.tudelft.simulation.examples.dsol.animation.Ball

`getBounds, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DiscreteBall

    public DiscreteBall(DEVSSimulatorInterface.TimeDouble simulator)
                 throws RemoteException,
                        SimRuntimeException

constructs a new Ball.

Parameters:
  `simulator` - the simulator
Throws:
  `RemoteException` - on remote failure
  `SimRuntimeException` - on schedule failure

### Method Detail

#### getLocation

    public DirectedPoint getLocation()
                              throws RemoteException

Throws:
  `RemoteException`